/** Global Fonts and colours **/
:root {
  --header-font: "fields", sans-serif;
  --subheading-font: "pt-sans-narrow", sans-serif;
  --body-font: "muli", sans-serif;
  --pink: #f2acc6;
  --blue: #117dbf;
  --green: #1ca67f;
  --yellow: #f2d479;
  --cream: #f3ede8;
  --red: #f26666;
  --black: #202124;
  --pinkrgba: "242,172,198,0.3";
  --bluergba: "17,125,191,0.3";
  --greenrgba: "28,166,127,0.3";
  --yellowrgba: "242,212,121,0.3";
  --creamrgba: "243,237,232,0.3";
  --redrgba: "242,102,102,0.3";
}

h1,
h2,
h3,
h4,
h5 {
  font-family: var(--header-font);
  margin: 0;
  color: var(--black);
}

h1 {
  font-size: clamp(6rem, 0rem + 5.859vw, 9rem);
}

h2 {
  font-size: clamp(2.6rem, 0.6rem + 1.953vw, 3.6rem);
  margin-bottom: 2rem;
}

p,
span,
a,
th,
li {
  font-family: var(--body-font);
  font-weight: 500;
  color: var(--black);
  font-size: 1rem;
  font-size: clamp(1.6rem, 1.435rem + 0.392vw, 2rem);
  line-height: clamp(2.2rem, 2.067rem + 0.37vw, 2.6rem);
}

ol,
ul {
  margin-left: 2rem;
}

p {
  margin-bottom: 2rem;
}

a {
  text-decoration: none;
}

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
}

html {
  font-size: 62.5%;
  width: 100%;
  padding: 0;
  margin: 0;
  scroll-behavior: smooth;
  background-color: var(--yellow);
  overflow-y: scroll;
  height: 100%;
}
.body {
  margin: 0;
  padding: 0;
  width: 100%;
  color: var(--black);
  overflow-x: hidden;
  height: 100%;
}

/** Buttons **/
.btn {
  background-color: #fff;
  border: none;
  padding: 0.6rem 2rem;
  font-size: 2rem;
  border: 2px solid var(--black);
  border-radius: 3.5rem;
  box-shadow: 0 2px var(--black);
  font-family: var(--subheading-font);
  letter-spacing: 0.1rem;
  margin: 2rem auto;
  display: block;
  scale: 1;
  transition: box-shadow 0.2s ease-out;
  transition: scale 0.2s ease-out;
  color: var(--black);
}

.btn:hover,
.btn::selection {
  box-shadow: 0 0 var(--black);
  scale: 0.95;
  cursor: pointer;
}

.btnGreen {
  background-color: var(--green);
}

.btnRed {
  background-color: var(--red);
}

.btnBlue {
  background-color: var(--blue);
}

.btnYellow {
  background-color: var(--yellow);
}

/*  Box shadows */
.bs1 {
  border: 2px solid var(--black);
  box-shadow: 4px 4px var(--black);
  border-radius: 12px;
}

/* Lenis scroll */
html.lenis {
  height: auto;
}

.lenis.lenis-smooth {
  scroll-behavior: auto !important;
}

.lenis.lenis-smooth [data-lenis-prevent] {
  overscroll-behavior: contain;
}

.lenis.lenis-stopped {
  overflow: hidden;
}

.lenis.lenis-scrolling iframe {
  pointer-events: none;
}

.two-col-grid {
  width: 100%;
  display: grid;
  margin: 0 auto;
  grid-template-columns: repeat(24, 1fr);
  grid-template-rows: auto;
  max-width: 1536px;
}

.introSection {
  grid-area: 1 / 2 / span 1 / span 11;
  margin: 2rem;
}

/********* END OF GLOBAL **********/

.pageWrapper {
  width: 100%;
  background-color: var(--yellow);
}

.page {
  height: auto;
  width: 100%;
  margin: 0 auto;
  position: relative;
  display: grid;
  place-items: center;
  min-height: 100vh;
}

/****** PAGE 1 - Landing Page ********/

.page1 {
  width: 100%;
}

.page1Overlay {
  width: 100%;
}

.landingWrapper {
  width: 100%;
  height: 100vh;
  margin: 0 auto;
  opacity: 1;
  max-width: 1536px;
}

.landingText {
  position: fixed;
}

.heroWrapper {
  position: absolute;
}

.hero {
  position: sticky;
}

.page1Overlay {
  position: absolute;
  bottom: 0;
}

.landingPageCreamTop {
  position: absolute;
  bottom: 0;
  width: 100%;
  z-index: 1;
}

.hand {
  max-width: 20px;
  position: absolute;
  bottom: 0;
  z-index: 2;
  opacity: 0;
}

.is-active {
  display: block;
  opacity: 1;
}

/****** PAGE 2 - Conference Page ********/

.page2 {
  background-color: var(--cream);
}

.eventLeft {
  grid-area: 1 / 1 / span 1 / span 11;
}

.eventRight {
  grid-area: 1 / 13 / span 1 / span 11;
}

.rocketSection {
  grid-area: 2 / 9 / span 1 / span 6;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
}

.rocketGirl {
  max-width: 100%;
  margin-top: -220px;
  position: relative;
  left: 30px;
  max-width: 340px;
}

.eventTable {
  margin: 0 auto;
  margin-bottom: 4rem;
}

th {
  text-align: right;
  padding-right: clamp(1.6rem, -2.4rem + 3.906vw, 3.6rem);
}

.tableMore {
  color: var(--red);
}

.subtext {
  margin-top: 2rem;
  max-width: 80%;
}

.subtext p {
  margin-top: 2rem;
}

.eventBg {
  background-color: #fff;
  padding: 2rem;
  margin: 2rem;
}

/****** PAGE 2a - Conferences with 2 courses ********/

.page2a {
  background-color: var(--cream);
  height: auto;
  padding: 4rem 2rem;
}
.top2a {
  width: 100%;
  max-width: 1536px;
  display: flex;
  flex-direction: column;
  align-items: start;
  justify-content: center;
}

.creamTopMobile {
  max-width: 100%;
  margin-bottom: -3px;
}

.top2a .introSection {
  max-width: 1200px;
}

.conferenceIntro {
  margin-top: 2rem;
}

/****** PAGE 3 - Online Training ********/

.page3 {
  background-color: var(--cream);
}

.event.online {
  padding: 4rem;
  margin: 2rem;
  grid-area: 1 / 2 / span 1 / span 10;
  background-color: #fff;
}

.introSection.online {
  grid-area: 1 / 13 / span 1 / span 11;
  float: right;
  padding-left: 40%;
}

.introSection.online .heading {
  text-align: right;
}

.page3 .subtext {
  max-width: 100%;
}

.tutuSection {
  grid-area: 1 / 12 / span 1 / span 5;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  margin: 0 auto;
}

.tutuGirl {
  max-width: 256px;
}

.page3 .btn {
  margin-top: 4rem;
}

/****** PAGE 3a - Online training with a few courses ********/

.page3a {
  background-color: var(--cream);
  height: auto;
  padding: 2rem;
}

.top3a .introSection {
  max-width: 1200px;
}

.event.online.bs1 p {
  font-weight: 2.4rem;
  font-family: var(--header-font);
  font-weight: 500;
  margin-left: 2rem;
}

.page3a .eventRight {
  grid-area: 1 / 16 / span 1 / span 8;
}

.tutuSection {
  grid-area: 1 / 11 / span 1 / span 5;
}

.tutuGirl {
  max-width: 260px;
}

.eytvButton {
  margin-top: 4rem;
}

.page3a ul {
  padding-left: 2rem;
}

.page3a li {
  margin-bottom: 1rem;
}

/****** PAGE 3b - Articles and substack posts ********/

.page3b {
  background-color: var(--cream);
  height: auto;
  padding: 2rem 2rem 8rem 2rem;
}

.postGirlSection {
  grid-area: 1 / 9 / span 1 / span 6;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  margin: 0 auto;
}

.postGirl {
  max-width: 180px;
  margin-left: 60px;
  opacity: 1;
}

.page3b .eventLeft {
  grid-area: 1 / 1 / span 1 / span 10;
}

.page3b .eventRight {
  grid-area: 1 / 14 / span 1 / span 10;
  display: flex;
  align-items: center;
}

.latestPosts {
  background-color: white;
  padding: 4rem;
  border: 2px solid var(--black);
  box-shadow: 4px 4px var(--black);
  border-radius: 12px;
}

.latestPosts h2 {
  margin-bottom: 4rem;
}

.substack-feed-widget .text-lg {
  font-size: clamp(1.6rem, 1.435rem + 0.392vw, 2rem) !important;
  line-height: clamp(2.2rem, 2.067rem + 0.37vw, 2.6rem) !important;
}

.box-border {
  margin-bottom: 2rem;
}
.bg-cover {
  border-radius: 10px !important;
  border: 2px solid var(--black);
  box-shadow: 4px 4px var(--blue);
}
.substack-feed-widget .flex-col {
  justify-content: center;
}

.conferenceIntro li {
  margin-bottom: 1rem;
}

.page3b .conferenceIntro h2 {
  margin-top: 4rem;
}

/****** PAGE 4 - Books ********/
.page4Outer {
  width: 100%;
  background-color: var(--cream);
}

.page4 {
  background-color: var(--cream);
  max-width: 1536px;
  margin: 0 auto;
  justify-items: start;
  display: grid;
  grid-template-columns: repeat(24, 1fr);
  grid-template-rows: repeat(20, 1fr);
  padding: 0 2rem;
}

.bookTitleWrapper {
  max-width: 800px;
  grid-area: 1 / 1 / span 7 / span 16;
}

.swiper {
  width: 80%;
  margin: 0 auto;
  padding: 2rem;
  background-color: #fff;
  grid-area: 6 / 1 / span 10 / span 24;
  max-width: 1280px;
}

.swiper-slide {
  text-align: center;
}

.swiper-slide img {
  max-width: 80%;
  height: auto;
  padding: 4rem;
}

.boyReading {
  position: relative;
  width: 100%;
  z-index: 3;
  grid-area: 13 / 20 / span 6 / span 4;
}

.bookCover {
  max-height: 340px;
  width: auto;
}

.swiper-button-prev::after,
.swiper-rtl .swiper-button-next::after {
  content: "" !important;
}

.swiper-button-next::after,
.swiper-rtl .swiper-button-next::after {
  content: "" !important;
}

.booksBtn {
  background-color: var(--yellow);
  padding: 1rem 1.2rem;
  box-shadow: 0;
  border: 2px solid var(--black);
  border-radius: 50%;
}

.swiper-pagination-bullet-active {
  background: var(--yellow) !important;
}

.allBooksWrapper {
  grid-area: 15 / 10 / span 3 / span 4;
}

/****** PAGE 5 - About ********/

.page5OuterWrapper {
  width: 100%;
}

.page5Wrapper,
.page5aWrapper,
.page5bWrapper {
  width: 100%;
  background-color: var(--cream);
  position: relative;
  min-height: 100vh;
  padding-bottom: 8rem;
}

.page5aWrapper,
.page5bWrapper {
  background-color: transparent;
}

.page5Content {
  max-width: 1536px;
  margin: 0 auto;
  display: flex;
  flex-direction: row;
  width: 100%;
  min-height: 100vh;
  justify-content: center;
}

.page5Left {
  width: 60%;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.aboutContent {
  padding: 2rem;
}

.page5Right {
  width: 40%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 2rem;
  max-width: 40%;
}

.bioPicWrapper {
  max-width: 100%;
  padding: 0 2rem;
}

.aboutHeading {
  margin-bottom: 2rem;
}

.bioPic {
  max-width: 100%;
  border: 2px solid var(--black);
  border-radius: 12px;
  box-shadow: 4px 4px var(--black);
  rotate: 1deg;
  width: clamp(28rem, 24rem + 12.5vw, 42rem);
}

.page5Left a {
  color: var(--red);
}

/****** PAGE 6 - Subversive ********/

.page6 {
  background-color: var(--cream);
  padding: 0 2rem 6rem 2rem;
}

.leftSide {
  grid-area: 1 / 1 / span 1 / span 10;
}

.rightSide {
  grid-area: 1 / 14 / span 1 / span 9;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  padding-top: 2rem;
}

.videoWrapper {
  padding: 1rem;
  background-color: var(--blue);
  margin: 2rem auto;
  width: fit-content;
}

.videoFrame {
  border-radius: 12px;
}

iframe {
  display: none;
}

/******* Foooter ***********/

.footer {
  width: 100%;
  margin: 0 auto;
  padding: 2rem 0 4rem 0;
  background-image: url("/assets/images/cream-header.svg");
  background-position: top center;
  background-size: contain;
  background-repeat: no-repeat;
}

.three-col {
  display: flex;
  flex-direction: row;
  width: 100%;
  justify-content: space-evenly;
  max-width: 1440px;
  margin: 0 auto;
  margin-top: 10rem;
}

.footer h3 {
  font-size: clamp(2.6rem, 0.6rem + 1.953vw, 3.6rem);
  margin-bottom: 1rem;
}

.connect,
.contact,
.subscribe {
  width: 30%;
  display: block;
}

.btnSubscribe {
  margin: 0;
}

.contact p {
  margin-bottom: 0.5rem;
}

.formTitle {
  font-family: var(--body-font);
  font-size: 1.6rem;
  margin-bottom: 0.2rem;
}

input {
  padding: 1rem;
  border-radius: 6px;
  box-shadow: none;
  border: 1px solid #d4d4d4;
  font-family: var(--subheading-font);
  letter-spacing: 0.1rem;
  font-size: 1.8rem;
  width: 100%;
  max-width: 300px;
  margin-bottom: 1rem;
  box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
}

.websiteDesign p,
.privacy p {
  color: var(--black);
}

.submittedMsg {
  border-left: 4px solid var(--green);
  padding: 0.2rem 1rem;
  display: none;
}

.social {
  max-width: 40px;
  margin-right: 2rem;
}

.chevron {
  width: 8px;
  height: auto;
}

.subscribe .btn {
  margin: 1rem 0 0 0;
}

.line-clamp-3.text-ellipsis {
  font-size: clamp(1.2rem, 1.067rem + 0.37vw, 1.6rem);
  line-height: clamp(1.6rem, 1.467rem + 0.37vw, 2rem);
}

/* Temporary Hiding of Sections */

/* .page4Outer {
  display: none;
} */

.page5Outer {
  display: none;
}

.page6 {
  display: none !important;
}

.csw-branding {
  display: none !important;
}
